package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebNewsTag;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 新闻标签表(NewsTag)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:11
 */

@Component
public interface WebNewsTagService {

    /**
     * 通过ID查询单条数据
     *
     * @param tagId 主键
     * @return 实例对象
     */
    WebNewsTag queryById(Integer tagId);

    /**
     * 新增数据
     *
     * @param newsTag 实例对象
     * @return 实例对象
     */
    WebNewsTag insert(WebNewsTag newsTag);

    /**
     * 修改数据
     *
     * @param newsTag 实例对象
     * @return 实例对象
     */
    WebNewsTag update(WebNewsTag newsTag);

    /**
     * 通过主键删除数据
     *
     * @param tagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer tagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}